@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

/****** Card Transfer  *******/
.card__transfer {
  max-width: 800px;
  width: 100%;
  border: 2px solid var(--neutral-900);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 1rem;
  padding: 1.2rem;
  font-family: "Poppins", system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell,
    "Open Sans", "Helvetica Neue", sans-serif;
  border-radius: 0.2rem;
  box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
  background-color: white;
}
.card__transfer[data-vip="true"] {
  border-color: var(--blue) !important;
}
.card__transfer .box-img {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 280px;
  height: 200px;
}
.card__transfer .box-img p {
  font-size: 0.7rem;
  color: var(--secondary-3);
}
.card__transfer .wrapper__image {
  width: 200px;
  height: 200px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.card__transfer .wrapper__image img {
  max-width: 100%;
  display: block;
  width: 100%;
  object-fit: contain;
}

/* Content */
.wrapper__content {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  gap: 0.6rem;
}
.wrapper__content .separator {
  width: 100%;
  height: 1px;
  background-color: var(--neutral-300);
  margin: 1rem 0;
}
.wrapper__content .wrapper__head {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 0.5rem;
}

.wrapper__content .wrapper__head .header-transfer {
  text-align: left;
  font-size: 0.9rem;
  font-weight: 400;
  text-transform: capitalize;
  font-family: "Roboto", sans-serif;
  color: var(--black);
}

.wrapper__content .wrapper__head .wrapper__head-location {
  display: flex;
  justify-content: center;
  align-items: start;
  gap: 2px;
}
.wrapper__content .wrapper__head .wrapper__head-location .title {
  font-family: "Poppins", sans-serif;
  font-size: 0.9rem;
  font-weight: 500;
  line-height: 1.1 !important;
  color: var(--secondary-4);
}

.wrapper__content .wrapper__head .wrapper__head-location svg {
  width: 20px;
  height: 20px;
  color: var(--secondary-4);
}

.wrapper__content .wrapper__description {
  display: flex;
  justify-content: center;
  align-items: start;
  flex-direction: column;
  gap: 10px;
}
.wrapper__content .service-description {
  font-size: 0.8rem;
  font-weight: 300;
  color: var(--neutral-600);
}

.wrapper__content .service-time {
  font-size: 0.8rem;
  font-weight: 400;
  color: var(--neutral-600);
  background-color: #f3f3f3;
  border-radius: 1rem;
  padding: 0.5rem;
  font-family: "Roboto";
}
.card__transfer[data-vip="true"] .wrapper__content .service-time {
  background-color: #eef8fa;
}

.wrapper__footer {
  width: 100%;
  display: flex;
  justify-content: end;
  align-items: center;
  gap: 1rem;
}
.wrapper__footer .price-description {
  font-size: 1.5rem;
  font-weight: 600;
  font-family: "Roboto", sans-serif;
}
.wrapper__footer .btn__booking {
  background-color: var(--black);
  padding: 1rem 2rem;
  color: var(--white);
  border-radius: 0.5rem;
  transition: background-color 500ms cubic-bezier(0.075, 0.82, 0.165, 1);
}
.wrapper__footer .btn__booking:hover {
  background-color: var(--blue);
}

@media (min-width: 744px) {
  .card__transfer {
    align-items: start;
    flex-direction: row;
    padding: 1.5rem;
    border-radius: 2rem;
  }
  .card__transfer .box-img {
    width: 150px;
    height: 150px;
  }
  .card__transfer .wrapper__image {
    width: 150px;
    height: 150px;
  }
  .wrapper__content .wrapper__head {
    gap: 0.3;
  }
  .wrapper__content .wrapper__head .header-transfer {
    font-size: 0.9rem;
    font-weight: 400;
  }
  .wrapper__content .title {
    font-size: 1rem;
  }
  .wrapper__content .wrapper__head .wrapper__head-location .title {
    font-size: 1rem;
    line-height: normal !important;
  }
  .wrapper__content .wrapper__head .wrapper__head-location svg {
    padding-top: 4px;
    width: 22px;
    height: 22px;
  }
  .wrapper__content .service-time {
    font-size: 0.8rem;
  }
  .wrapper__content .service-time #time {
    font-size: 0.85rem !important;
  }
  .wrapper__footer .btn__booking {
    border-radius: 1rem;
  }
}
@media (min-width: 1232px) {
  .card__transfer .box-img {
    width: 240px;
    height: 240px;
  }
  .card__transfer .wrapper__image {
    width: 240px;
    height: 200px;
  }
}
